## createrepo 0.4.10

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE = createrepo
-VERSION = 0.4.6
+VERSION = 0.4.10
 SHELL = /bin/sh
 top_srcdir = .
 srcdir = .
@@ -40,7 +40,9 @@
 SUBDIRS = bin docs
 
 MODULES = $(srcdir)/genpkgmetadata.py \
-    	  $(srcdir)/dumpMetadata.py 
+		  $(srcdir)/dumpMetadata.py \
+		  $(srcdir)/readMetadata.py \
+		  $(srcdir)/modifyrepo.py
 
 .SUFFIXES: .py .pyc
 .py.pyc: 
@@ -134,6 +136,8 @@
 	$(srcdir)/*.py \
 	$(srcdir)/Makefile \
 	$(srcdir)/ChangeLog \
+	$(srcdir)/COPYING \	
+	$(srcdir)/COPYING.lib \		
 	$(srcdir)/README \
 	$(srcdir)/$(PACKAGE).spec \
 	$(top_srcdir)/.disttmp/$$distdir
@@ -147,6 +151,8 @@
 	$(srcdir)/*.py \
 	$(srcdir)/Makefile \
 	$(srcdir)/ChangeLog \
+	$(srcdir)/COPYING \
+	$(srcdir)/COPYING.lib \
 	$(srcdir)/README \
 	$(srcdir)/$(PACKAGE).spec \
 	$(top_srcdir)/.disttmp/$$distdir
