## createrepo 0.9.8

=== debian/changelog ===
createrepo (0.9.8) unstable; urgency=low

  * update to 0.9.8

 -- Gui Chen <gui.chen@intel.com>  Wed, 1 Aug 2012 09:28:48 +0100

createrepo (0.4.11-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.7.3.
  * Move homepage to the new dpkg field.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 17 Dec 2007 09:28:48 +0100

createrepo (0.4.10-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * Add runtime dependency on python-sqlitecachec.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 27 Aug 2007 09:08:16 +0200

createrepo (0.4.6-3) unstable; urgency=low

  * debian/control: Drop XB-Python-Version. 

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 19 Nov 2006 03:27:50 +0100

createrepo (0.4.6-2) unstable; urgency=low

  * Update packaging to fit the last python policy draft. 

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 10 Nov 2006 02:05:27 +0100

createrepo (0.4.6-1) unstable; urgency=low

  * Initial release (Closes: #386953).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 11 Sep 2006 10:14:17 +0200
