=== debian/control ===
Source: createrepo
Section: admin
Priority: optional
Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Build-Depends: debhelper (>= 5.0.37.2)
Build-Depends-Indep: python-all-dev (>= 2.3.5-11), python-support (>= 0.5.3)
Standards-Version: 3.7.3
Homepage: http://linux.duke.edu/projects/metadata/

Package: createrepo
Architecture: all
Depends: ${python:Depends}, python-rpm, rpm (>= 4.1.1), python-libxml2, python-sqlitecachec, deltarpm, yum
Description: generates the metadata necessary for a RPM package repository
 This tool will generates all XML metadata required by a RPM (Redhat Package
 Manager) package repository.
 .
 This repository format is supported by apt, red-carpet(zen), smart, up2date, 
 Yast and yum.
