## createrepo 0.9.9

=== debian/changelog ===
createrepo (0.9.9-1) unstable; urgency=low

  * New upstream release. (Closes: #463571)
    - createrepo --help now mentions --split option. (Closes: #682151)
    - No longer use deprecated md5 and sha modules. (LP: #530015)
  * New maintainer. (Closes: #673958) Thanks to Adam for his work.
  * debian/patches/01_fix-man-page-options.patch: Escape dashes in
    command-line options in man pages.
  * Cherry-pick fixes from upstream git:
    - debian/patches/02_drop-unused-imports.patch: Fix incorrect call of
      function imported from createrepo.utils.
    - debian/patches/03_fix-getting-YumAvailablePackage-local-path.patch: Fix
      getting path from repository packages.
    - debian/patches/04_fix-writing-additional-metadata.patch: Fix writing
      metadata when merging repositories.
    - debian/patches/05_fix-handling-remote-packages.patch: Fix handling
      remote packages when writing repository metadata.
  * debian/source/format: Update source format to 3.0 (quilt).
  * Bump debhelper compatibility level to 9.
  * Update packaging to current Python Policy recommendations:
    - debian/rules: Switch to using dh --with python2.
    - Add Build-Depends on python-all (>= 2.6.6-3~) for switch to building
      with dh_python2.
    - Drop Build-Depends on python-all-dev, package is not building Python
      extensions.
    - Drop Build-Depends on deprecated python-support, now using dh_python2.
    - Add X-Python-Version control field.
    - Drop obsolete debian/pyversions.
  * Install bash completion support:
    - Add Build-Depends on bash-completion.
    - Install createrepo.bash using dh_bash-completion.
  * debian/rules: Install the createrepo python module for all supported
    python versions.
  * debian/control:
    - Add Depends on ${misc:Depends}, deltarpm, python-deltarpm, and
      yum (>= 3.2.29).
    - Update package description.
    - Update Homepage control field to correct upstream URL. (Closes: #682149)
    - Set Priority to extra because Depends includes other extra packages.
    - Add Vcs-Git and Vcs-Browser fields.
    - Bump Standards-Version to 3.9.4. No further changes needed.
  * debian/copyright: Convert to machine-readable format 1.0.
  * debian/watch: Update to correct upstream URL.

 -- Mike Miller <mtmiller@ieee.org>  Mon, 19 Aug 2013 01:39:04 -0400

createrepo (0.4.11-1.1) unstable; urgency=low

  * Non maintainer upload.

  [ Scott Kitterman ]
  * In genpkgmetadata.py/SplitMetaDataGenerator, add try/except around use of
    urlparse.uses_fragment to avoid crash when running with a python version
    that does not have uses_fragment (2.7.3) (Closes: #682150)

 -- Matthias Klose <doko@debian.org>  Wed, 22 Aug 2012 19:01:30 +0200
