=== debian/control ===
Source: createrepo
Section: admin
Priority: extra
Maintainer: Mike Miller <mtmiller@ieee.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python-all (>= 2.6.6-3~), bash-completion
Standards-Version: 3.9.4
X-Python-Version: >= 2.4
Homepage: http://createrepo.baseurl.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/mtmiller-guest/createrepo.git
Vcs-Git: git://anonscm.debian.org/users/mtmiller-guest/createrepo.git

Package: createrepo
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 deltarpm,
 python-deltarpm,
 python-libxml2,
 python-rpm,
 python-sqlitecachec,
 rpm (>= 4.1.1),
 yum (>= 3.2.29)
Description: tool to generate the metadata for a yum repository
 The createrepo tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package is similar to the apt-ftparchive or reprepro commands, but for
 working with RPM repositories.
