=== bin/Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 oldincludedir = /usr/include
 mandir = ${prefix}/man
 
-pkgdatadir = $(datadir)/$(PACKAGE)
-pkglibdir = $(libdir)/$(PACKAGE)
-pkgincludedir = $(includedir)/$(PACKAGE)
+pkgdatadir = $(datadir)/$(PKGNAME)
+pkglibdir = $(libdir)/$(PKGNAME)
+pkgincludedir = $(includedir)/$(PKGNAME)
 top_builddir = ../
 
 # all dirs
@@ -36,15 +36,18 @@
 RM 		= rm -f
 
 
-all: $(srcdir)/$(PACKAGE)
+all:
+	echo "Nothing to do"
 
 
 install: all installdirs
-	$(INSTALL_BIN) $(srcdir)/$(PACKAGE) $(DESTDIR)$(bindir)/$(PACKAGE)
+	$(INSTALL_BIN) $(srcdir)/$(PKGNAME) $(DESTDIR)$(bindir)/$(PKGNAME)
+	$(INSTALL_BIN) $(srcdir)/modifyrepo $(DESTDIR)$(bindir)/modifyrepo
+	$(INSTALL_BIN) $(srcdir)/mergerepo $(DESTDIR)$(bindir)/mergerepo
 
 
 uninstall:
-	$(RM) $(bindir)/$(PACKAGE)
+	$(RM) $(bindir)/$(PKGNAME)
 
 
 
@@ -66,19 +69,23 @@
 
 
 distfiles:
-	distdir=$(PACKAGE)-$(VERSION); \
+	distdir=$(PKGNAME)-$(VERSION); \
 	mkdir $(top_srcdir)/.disttmp/$$distdir/bin;\
 	cp \
-	$(srcdir)/$(PACKAGE) \
+	$(srcdir)/$(PKGNAME) \
 	$(srcdir)/Makefile \
+	$(srcdir)/modifyrepo \
+	$(srcdir)/mergerepo \
 	$(top_srcdir)/.disttmp/$$distdir/bin
 
 dailyfiles:
-	distdir=$(PACKAGE); \
+	distdir=$(PKGNAME); \
 	mkdir $(top_srcdir)/.disttmp/$$distdir/bin;\
 	cp \
-	$(srcdir)/$(PACKAGE) \
+	$(srcdir)/$(PKGNAME) \
 	$(srcdir)/Makefile \
+	$(srcdir)/modifyrepo \
+	$(srcdir)/mergerepo \	
 	$(top_srcdir)/.disttmp/$$distdir/bin
 
 installdirs:
