=== docs/Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 oldincludedir = /usr/include
 mandir = ${datadir}/man
 
-pkgdatadir = $(datadir)/$(PACKAGE)
-pkglibdir = $(libdir)/$(PACKAGE)
-pkgincludedir = $(includedir)/$(PACKAGE)
+pkgdatadir = $(datadir)/$(PKGNAME)
+pkglibdir = $(libdir)/$(PKGNAME)
+pkgincludedir = $(includedir)/$(PKGNAME)
 top_builddir = ../
 
 # all dirs
@@ -41,11 +41,14 @@
 
 install: all installdirs
 	mkdir -p $(DESTDIR)$(mandir)/man8
+	mkdir -p $(DESTDIR)$(mandir)/man1
 	$(INSTALL_DATA) createrepo.8 $(DESTDIR)$(mandir)/man8/createrepo.8
+	$(INSTALL_DATA) modifyrepo.1 $(DESTDIR)$(mandir)/man1/modifyrepo.1
+	$(INSTALL_DATA) mergerepo.1 $(DESTDIR)$(mandir)/man1/mergerepo.1
 
 
 uninstall:
-	$(RM) $(bindir)/$(PACKAGE)
+	$(RM) $(bindir)/$(PKGNAME)
 
 
 
@@ -67,18 +70,22 @@
 
 
 distfiles:
-	distdir=$(PACKAGE)-$(VERSION); \
+	distdir=$(PKGNAME)-$(VERSION); \
 	mkdir $(top_srcdir)/.disttmp/$$distdir/docs;\
 	cp \
 	$(srcdir)/createrepo.8 \
+	$(srcdir)/modifyrepo.1 \
+	$(srcdir)/mergerepo.1 \
 	$(srcdir)/Makefile \
 	$(top_srcdir)/.disttmp/$$distdir/docs
 
 dailyfiles:
-	distdir=$(PACKAGE); \
+	distdir=$(PKGNAME); \
 	mkdir $(top_srcdir)/.disttmp/$$distdir/docs;\
 	cp \
 	$(srcdir)/createrepo.8 \
+	$(srcdir)/modifyrepo.1 \
+	$(srcdir)/mergerepo.1 \
 	$(srcdir)/Makefile \
 	$(top_srcdir)/.disttmp/$$distdir/docs
