=== debian/changelog ===
createrepo (0.10.3-1) unstable; urgency=medium

  * New upstream release.
    - Ensure the -s/--checksum option is applied correctly. (Closes: #731147)
  * Drop patches applied upstream:
    - 01_fix-man-page-options.patch
    - 02_drop-unused-imports.patch
    - 03_fix-getting-YumAvailablePackage-local-path.patch
    - 04_fix-writing-additional-metadata.patch
    - 05_fix-handling-remote-packages.patch
  * Add Depends on python-lzma.
  * fix-version.patch: Fix version string reported by --version.
  * Update bash-completion support to install with pkg-config:
    - Add Build-Depends on pkg-config.
    - Let the buildsystem install createrepo.bash using pkg-config.
    - createrepo.maintscript: Remove obsolete bash-completion conffile.
  * Update Vcs-* control fields to new Git repository.
  * Use my @debian.org address.
  * Bump Standards-Version to 3.9.5. No changes needed.

 -- Mike Miller <mtmiller@debian.org>  Thu, 06 Feb 2014 10:07:19 -0500
