=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: createrepo
 Section: admin
 Priority: extra
-Maintainer: Mike Miller <mtmiller@ieee.org>
+Maintainer: Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python-all (>= 2.6.6-3~), bash-completion
-Standards-Version: 3.9.4
+Build-Depends-Indep: python-all (>= 2.6.6-3~), bash-completion, pkg-config
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.4
 Homepage: http://createrepo.baseurl.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/mtmiller-guest/createrepo.git
-Vcs-Git: git://anonscm.debian.org/users/mtmiller-guest/createrepo.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/mtmiller/createrepo.git
+Vcs-Git: git://anonscm.debian.org/users/mtmiller/createrepo.git
 
 Package: createrepo
 Architecture: all
@@ -17,6 +17,7 @@
  deltarpm,
  python-deltarpm,
  python-libxml2,
+ python-lzma,
  python-rpm,
  python-sqlitecachec,
  rpm (>= 4.1.1),
