=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,3 @@
 		dh_auto_install -- -C createrepo \
 			PKGDIR="/usr/lib/python$$py/dist-packages/$(SOURCE)"; \
 	done
-	dh_bash-completion
-	rm -rf debian/$(SOURCE)/usr/etc
