=== debian/watch ===
version=3
http://createrepo.baseurl.org/download/createrepo-(.*)\.tar\.gz
