=== debian/changelog ===
createrepo (0.10.9) unstable; urgency=low

  * Make modifyrepo insert size and open-size tag

 -- Yan Meng <yan11.meng@samsung.com>  Wed, 17 Jun 2020 09:28:48 +0100

createrepo (0.10.8) unstable; urgency=low

  * update to 0.10.8

 -- Biao Wang <biao716.wang@samsung.com>  Wed, 20 Nov 2019 09:28:48 +0100
