=== debian/watch ===
version=3
http://linux.duke.edu/projects/metadata/generate/createrepo-(.*).tar.gz
