## createrepo c-1.2.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -61,6 +61,23 @@
     koji.h
     xml_parser.h)
 
+# glibc needs _XOPEN_SOURCE >= 500 defined in order to expose nftw(),
+# other systems do not need this macro defined.  If necessary, set the
+# macro to 700 since that's the 7th revision which is what the Python
+# pieces will want.
+INCLUDE (CheckSymbolExists)
+CHECK_SYMBOL_EXISTS(nftw ftw.h HAVE_NFTW)
+IF (NOT HAVE_NFTW)
+    LIST(APPEND CMAKE_REQUIRED_DEFINITIONS -D_XOPEN_SOURCE=700)
+    CHECK_SYMBOL_EXISTS(nftw ftw.h HAVE_NFTW_XOPEN)
+
+    IF (HAVE_NFTW_XOPEN)
+        ADD_COMPILE_DEFINITIONS(_XOPEN_SOURCE=700)
+    ELSE ()
+        ERROR("unable to find nftw() definition")
+    ENDIF ()
+ENDIF ()
+
 IF (BUILD_LIBCREATEREPO_C_SHARED)
   SET (createrepo_c_library_type SHARED)
 ELSE ()
@@ -71,7 +88,6 @@
 TARGET_LINK_LIBRARIES(libcreaterepo_c ${CURL_LIBRARY})
 TARGET_LINK_LIBRARIES(libcreaterepo_c ${GLIB2_LIBRARIES})
 TARGET_LINK_LIBRARIES(libcreaterepo_c ${GIO_LIBRARIES})
-TARGET_LINK_LIBRARIES(libcreaterepo_c ${LIBMAGIC_LIBRARIES})
 TARGET_LINK_LIBRARIES(libcreaterepo_c ${LIBMODULEMD_LIBRARIES})
 TARGET_LINK_LIBRARIES(libcreaterepo_c ${LIBXML2_LIBRARIES})
 TARGET_LINK_LIBRARIES(libcreaterepo_c ${LZMA_LIBRARIES})
@@ -81,6 +97,7 @@
 TARGET_LINK_LIBRARIES(libcreaterepo_c ${ZLIB_LIBRARY})
 TARGET_LINK_LIBRARIES(libcreaterepo_c ${ZCK_LIBRARIES})
 TARGET_LINK_LIBRARIES(libcreaterepo_c ${DRPM_LIBRARIES})
+TARGET_LINK_LIBRARIES(libcreaterepo_c ${ZSTD_LIBRARIES})
 
 SET_TARGET_PROPERTIES(libcreaterepo_c PROPERTIES
                       OUTPUT_NAME "createrepo_c"
